fcf.module({
  name: "fcfManagement:templates/pages/access/tabs/roles.receive.js",
  dependencies: [],
  module: function(){
    var self = this;
    return {
      receive: function(a_fields, a_files, a_request){
        if (a_fields.action == "remove" && a_fields.id) {
          return fcf.application.getStorage().query(
            {
              type: "DELETE",
              from: "___fcf___roles",
              where: [{type: "=", args:[{function: "key"}, {value: a_fields.id}]}],
            }
          );
        } else {
          return "ok";
        }
      }
    }
  }
});
